summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-04-20 13:12:21 +0000
committerRoy Marples <roy@marples.name>2007-04-20 13:12:21 +0000
commitc52f2164502544c17811e47fc3236fe87aa7fc5b (patch)
tree61d8fd8bb068f00ac8cdfa2fec14f479c754c285 /init.d
parenta316a1fa7222ea845c546c02cefb71632616d862 (diff)
downloadopenrc-c52f2164502544c17811e47fc3236fe87aa7fc5b.tar.gz
openrc-c52f2164502544c17811e47fc3236fe87aa7fc5b.tar.bz2
openrc-c52f2164502544c17811e47fc3236fe87aa7fc5b.tar.xz
Added the rc-abort command, #175106 thanks to Daniel Drake.
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/checkfs9
-rwxr-xr-xinit.d/checkroot4
2 files changed, 4 insertions, 9 deletions
diff --git a/init.d/checkfs b/init.d/checkfs
index 2f9ead0..da3dc39 100755
--- a/init.d/checkfs
+++ b/init.d/checkfs
@@ -51,13 +51,8 @@ do_checkfs() {
if [ ${retval} -gt 3 ] ; then
eend 2 "Fsck could not correct all errors, manual repair needed"
- if [ "${RC_SYS}" = "VPS" ] ; then
- halt -f
- elif [ -x /sbin/sulogin ] ; then
- sulogin "${CONSOLE}"
- else
- return 1
- fi
+ rc-abort
+ exit 1
fi
fi
diff --git a/init.d/checkroot b/init.d/checkroot
index 2fa22ec..03741ae 100755
--- a/init.d/checkroot
+++ b/init.d/checkroot
@@ -104,8 +104,8 @@ start() {
retval=$?
else
eend 2 "Filesystem couldn't be fixed :("
- [ "${RC_UNAME}" = "Linux" ] || return 1
- sulogin "${CONSOLE}"
+ rc-abort
+ exit 1
fi
if [ ${retval} != "0" ] ; then
einfo "Unmounting filesystems"